Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.compressed
Class CompressedFileFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.AbstractLayeredFileProvider
                      org.apache.commons.vfs.provider.compressed.CompressedFileFileProvider

All Implemented Interfaces:
  FileProvider, VfsComponent

Direct Known Subclasses:
  Bzip2FileProvider, GzipFileProvider

public abstract class CompressedFileFileProvider
extends AbstractLayeredFileProvider
implements FileProvider

A file system provider for compressed files. Provides read-only file systems.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Constructor Summary
`CompressedFileFileProvider()`

Method Summary
`protected abstract FileSystem` | `createFileSystem(FileName name, FileObject file, FileSystemOptions fileSystemOptions)`
`protected FileSystem` | `doCreateFileSystem(String scheme, FileObject file, FileSystemOptions fileSystemOptions)` Creates a layered file system.
`abstract Collection` | `getCapabilities()` Get the filesystem capabilities.

Methods inherited from class org.apache.commons.vfs.provider.AbstractLayeredFileProvider
`createFileSystem, findFile`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, findFileSystem, freeUnusedResources, getConfigBuilder, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.provider.FileProvider
`createFileSystem, findFile, getConfigBuilder, parseUri`

Constructor Detail

### CompressedFileFileProvider

    public CompressedFileFileProvider()

Method Detail

### doCreateFileSystem

    protected FileSystem doCreateFileSystem(String scheme,
                                            FileObject file,
                                            FileSystemOptions fileSystemOptions)
                                     throws FileSystemException

  Creates a layered file system. This method is called if the file system is not cached.

  Specified by:
    `doCreateFileSystem` in class `AbstractLayeredFileProvider`
  Parameters:
    `scheme` - The URI scheme.
    `file` - The file to create the file system on top of.
  Returns:
    The file system.
  Throws:
    `FileSystemException`

### createFileSystem

    protected abstract FileSystem createFileSystem(FileName name,
                                                   FileObject file,
                                                   FileSystemOptions fileSystemOptions)
                                            throws FileSystemException

  Throws:
    `FileSystemException`

### getCapabilities

    public abstract Collection getCapabilities()

  Description copied from interface: `FileProvider`
  Get the filesystem capabilities.
  These are the same as on the filesystem, but available before the first filesystem was instanciated.

  Specified by:
    `getCapabilities` in interface `FileProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.